@font-face {
    font-family: azonix;
    src: url(../font/Azonix.otf);
}

@font-face {
    font-family: try;
    src: url(../font/Baloo2-VariableFont_wght.ttf);
}

*,
::after,
::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: try, sans-serif;
    overflow-x: hidden;
}

.pre-loader-container {
    width: 100%;
    height: 100vh;
    background-color: #000;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: .9rem;
    z-index: 5;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.loader-image {
    width: 50px;
}

.pre-loader {
    width: 70px;
    height: 8px;
    border: 2px solid blueviolet;
}

.pre-loader .filler {
    width: 0%;
    height: 100%;
    background-color: #f3f;
    animation: loader 3s linear forwards;
    transition: all .3s;
}

@keyframes loader {
    100% {
        width: 100%;
    }
}

#particles-js {
    background-color: #000;
    width: 100vw;
    height: 100vh;
    z-index: 1;
    overflow: hidden;
}

.container {
    padding: .4rem;
    width: fit-content;
    z-index: 2;
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

a {
    text-decoration: none;
    color: #fff;
}

.logo {
    width: 250px;
    height: 250px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    animation: rotation 10s linear infinite;
    transition: all .3s;
}

@keyframes rotation {
    100% {
        transform: rotate(360deg);
    }
}

.img-fluid {
    width: 100% !important;
}

svg {
    fill: #13f9a3;
    overflow: hidden;
}

.name {
    color: #fff;
    text-align: center;
    width: 100%;
    padding: .8rem;
    letter-spacing: .3px;
    margin: .5rem 0;
}

.name h2 {
    text-align: center;
    font-family: azonix, sans-serif;
    font-size: 2.5rem;
    color: transparent;
    -webkit-text-stroke: 1px #fff;
    background-image: url(../img/back2.png);
    background-clip: text;
    -moz-background-clip: text;
    -webkit-background-clip: text;
    background-position: 0 0;
    animation: texty 30s linear infinite;
}

.name h3 {
    text-align: center;
    color: #13f9a3;
    font-size: 1.122rem;
}

@keyframes texty {
    100% {
        background-position: 2000px 0;
    }
}

.name p {
    text-transform: capitalize;
    color: #eee;
    text-align: center;
    padding: .2rem;
    font-weight: 500;
    font-size: 15px;
}

.btn-group {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: .5rem;
    flex-wrap: wrap;
    gap: 2em;
}

@media (max-width:768px) {
    .container {
        width: 100%;
    }
}

@media (max-width:376px) {
    .name h2 {
        font-size: 2.5rem;
    }

    .name h3 {
        font-size: 1.2rem;
    }
}

@media (max-width:320px) {
    .btn-group {
        gap: .5rem;
    }
}

.btn {
    padding: 5px 10px;
    border: none;
    outline: none;
    border-radius: 5px;
    opacity: .7;
}

.btn-down {
    border: 5px solid #13f9a3;
    background-color: transparent;
    color: #13f9a3;
    font-size: 17px;
}

.btn-github {
    border: 5px solid gray;
    background-color: transparent;
    color: gray;
    font-size: 17px;
}

.btn:focus {
    opacity: 1;
}

.copyright {
    color: gray;
    background-color: transparent;
    text-align: center;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    padding: .5rem;
}